
import igraph as ig
import os

wd = '/users/nick/dropbox/zambia/zambia_papers/results'
os.chdir(wd)


import igraph as ig
import random

random.seed(12345)
meso = ig.Graph.Full(4) + ig.Graph.Full(4) + ig.Graph.Full(6) + ig.Graph.Full(6) + ig.Graph.Full(6)
meso.add_edges([(3,4), (5,8), (9,16), (17,22)])
meso.vs['color'] = 'red'
meso.vs[0:8]['color'] = 'white'
ig.plot(meso, "high_meso_highfrag.pdf", vertex_size=30)
first_edgecount = meso.ecount()

meso = ig.Graph.Full(8) + ig.Graph.Full(18)

# Thin part 1
for z in range(15):
    try:    
        i, j = random.sample(range(8), 2)
        print('removing {}, {}'.format(i, j))
        meso.delete_edges([(i,j)])
    except: print('fail')

# Thin part 2
for z in range(218):
    try:    
        i, j = random.sample(range(8,26), 2)
        print('removing {}, {}'.format(i, j))
        meso.delete_edges([(i,j)])
    except: print('fail')


# Add bridge
meso.add_edges([(7,8)])

# Make more homogenous
meso.add_edges([(0,1), (16,25), (0,3)])

# Balance additions
meso.delete_edges([(7,3), (10,12), (4, 5)])

print(first_edgecount - meso.ecount())
assert first_edgecount == meso.ecount()
meso.vs['color'] = 'red'
meso.vs[0:8]['color'] = 'white'
ig.plot(meso, "high_meso_lowfrag.pdf", vertex_size=30)


