# -*- coding: utf-8 -*-
import igraph as ig
import os 
import pandas as pd
import time
import sys

pd.options.display.notebook_repr_html = False
pd.options.display.max_rows = 200
pd.set_option('io.hdf.default_format','table')

ig.__version__

wd = r'/Volumes/Zambia/'
os.chdir(wd)

#################
# Import graph
#################


for i in [3,7]:
    
    print("starting to load")
    
    r1 = time.clock()
    zGraph = ig.Graph.Read('intermediate_data/10_edgelists_and_graphobjects/00_baseEdgeList_cut{}_ncol.txt'.format(i), format = 'ncol', 
        directed = False)
    r2 = time.clock()
    elapsed = (r2 - r1)/60
    print("load took {} minutes".format(elapsed))
    
    
    
    
    # IMports can have issues with the txt format isn't what igraph expects. 
    # If it's wrong, I've found it may create a vertex with a weird name (like /x38/ee) or something
    # as first vertex. Best to make sure that hasn't happened!
    
    assert zGraph.vs[0]['name'].isalnum()
    
    
    # K -- now check a few things. zGraph
    print(zGraph.summary())
    zGraph.save('intermediate_data/10_edgelists_and_graphobjects/zGraph_cut{}.graphml'.format(i), format = 'graphml')
    zGraph.write_pickle(fname = 'intermediate_data/10_edgelists_and_graphobjects/zGraph_cut{}.pkl'.format(i))


