import pandas as pd
import os
import numpy as np


pd.set_option('mode.chained_assignment','raise')
pd.options.display.notebook_repr_html = False
wd = os.path.join('C://users/Nick/Documents/Eubank')
os.chdir(wd)
os.getcwd()


###########
# Start with master user file
##############
users = pd.read_csv('intermediate_data/00_pre_edgelists/masterUserCodes.csv')

users = users.rename(columns = {users.columns[0]:'user_string'})


##
# Get networks
##
network = pd.read_csv('intermediate_data/15_user_networks/userNetworks.csv')
network.rename(columns = {network.columns[0]:'userCode'}, inplace = True)
network.set_index( 'userCode', inplace = True)
    

def networkFromPrefix(x):
    if x ==26096:
        return 1 # MTN
    elif x == 26095:
        return 2 # CellZ
    elif x == 26097:
        return 3 # Airtel
    elif int(x / 1000) == 260 and x - 260000 >=200:
        return 4 # Landline
    elif x == -99: return -99 # missing
    else: return 5 #Not a 260
    
network['prefix'] = network.prefix.replace(np.nan, -99).astype('int64')

network['network'] = network.prefix.apply(networkFromPrefix)
# Merge
origLength= len(users)

users = pd.merge(users, network, left_on = 'userCode', right_index = True, how = 'outer')
    # Check to ensure no network users not in original users
assert origLength == len(users)


#########
# Save away!
#########

# Make clean!
try:
    os.remove('intermediate_data/10_edgelists_and_graphobjects/masterUsers.h5')
    print('old masterUser deleted')
except: print('not deleted')

users.to_hdf('intermediate_data/10_edgelists_and_graphobjects/masterUsers.h5', 'masterUsers')

