import pandas as pd
import os
import numpy as np
import sys
import igraph as ig


pd.set_option('mode.chained_assignment','raise')
pd.options.display.notebook_repr_html = False
wd = os.path.join('C://users/Nick/Documents/Eubank')
os.chdir(wd)
os.getcwd()


##############
# Make clean
############

# Clean start!
try:
    os.remove('intermediate_data/10_edgelists_and_graphobjects/vertex_labels.h5')
    print('removed old vertex labels h5')
except: 
    print('old labels not deleted -- not present?')



###########
# Start with master user file
##############



#for g in [('wd7','10_edgeList_wd7')]:


for g in [('cut3','00_baseEdgeList_cut3'), 
         ('cut7','00_baseEdgeList_cut7'),
        ('wd3','10_edgeList_wd3'), 
           ('wd7','10_edgeList_wd7')]:



    ###############
    # Get graph
    ###########
    
    zGraph = ig.Graph.Read('intermediate_data/10_edgelists_and_graphobjects/zGraph_{}.pkl'.format(g[0]), format = 'pickle')
    
    print('imported {}'.format(g[0]))    
    sys.stdout.flush()
    
    userCodes = pd.Series(zGraph.vs['name'])
    assert userCodes.loc[8] == zGraph.vs[8]['name']
    assert userCodes.loc[9] == zGraph.vs[9]['name']
    assert userCodes.loc[zGraph.vcount()-1] == zGraph.vs[zGraph.vcount()-1]['name']
    assert len(userCodes) == zGraph.vcount()
    
    userCodes = userCodes.reset_index()
    userCodes = userCodes.rename(columns={'index':'vertexID', 0:'userCode'})
    userCodes['userCode'] = userCodes['userCode'].astype('int')    
    
    userCodes.to_hdf('intermediate_data/10_edgelists_and_graphobjects/vertex_labels.h5', 'vertex_labels_{}'.format(g[0]))

    print('saved {}'.format(g[0]))    
    sys.stdout.flush()

