
use $zambia/intermediate_data/100_aggregated_network_and_demographics/public_good_max_sig.dta, clear
rename res pgood

merge 1:1 subgraph using $zambia/intermediate_data/110_afrobarometer/afro_know_max_sig_mp_allquestions.dta
rename res knowledge

foreach i in pgood knowledge {
	replace `i' = log(`i')
}
egen mean = rowmean(pgood knowledge)

gen graph = ""
replace graph = "All-Days $>$2" if subgraph == "cut3"
replace graph = "All-Days $>$6" if subgraph == "cut7"
replace graph = "Weekend-Only $>$2" if subgraph == "wd3"
replace graph = "Weekend-Only $>$6" if subgraph == "wd7"


eststo clear
estpost tabstat pgood knowledge mean , by(graph) nototal
est store A

label var knowledge "Pol Knowledge"
label var pgood "Public Goods"
label var mean "Average"

corr pgood knowledge
local corr = round(`r(rho)',0.01)



esttab A using $zambia_results/resolutions_across_graphs.tex, ///
 cells("knowledge(label(Pol Knowledge) fmt(2)) pgood(label(Public Goods) fmt(2))  mean(label(Average) fmt(2))") ///
	 label  varlabels(`e(labels)') ///
     nonote nonumber unstack noobs ///
	  replace note("Correlation: `corr'") ///
	  title("Most Significant (Logged) Resolution Parameters\label{resolutionsacross}")


save $zambia/intermediate_data/100_aggregated_network_and_demographics/mean_significance_values.dta, replace
