# -*- coding: utf-8 -*-
"""
Created on Fri Sep 18 20:33:15 2015

@author: Nick
"""

##
import pandas as pd
import numpy as np
import os
import sys

pd.options.display.max_rows = 200
pd.options.display.max_columns = 90
pd.set_option('display.width', 150)
pd.set_option('io.hdf.default_format', 'table')
pd.set_option('mode.chained_assignment','raise')

##
wd = r'/Volumes/Zambia/'
os.chdir(wd)


import seaborn as sns
sns.set(color_codes=True)
import matplotlib.pyplot as plt



###################
# Gather Substantive
####################


comms = dict()
size_at_neg10 = dict()

neg10 = '0.00004600'
assert abs(np.log(float(neg10)) - -10) < 0.1 

for graph in ['cut3', 'cut7', 'wd3', 'wd7']:
    comms[graph] = pd.read_hdf('intermediate_data/30_communities/cpm_communities.h5', graph)


for graph in ['cut3', 'cut7', 'wd3', 'wd7']:
    size_at_neg10[graph] = np.mean(comms[graph][['userCode', 'comm_' + neg10]].groupby(['comm_' + neg10]).transform(len))
    size_at_neg10[graph] = size_at_neg10[graph].iloc[0]
    print('range for {}: {}'.format(graph, size_at_neg10[graph]))    
    

string = "{:,.0f} for \emph{{All-Days, $>$ 2 Calls}}, "\
         "{:,.0f} for \emph{{All-Days, $>$ 6 Calls}}, "\
         "{:,.0f} \emph{{Weekend-Only, $>$ 2 Calls}}, "\
         "{:,.0f} for \emph{{Weekend-Only, $>$ 6 Calls}}".format(size_at_neg10['cut3'],
                                                                 size_at_neg10['cut7'],
                                                                 size_at_neg10['wd3'],
                                                                 size_at_neg10['wd7'])

with open("results/avg_sizes_neg10.tex", "w") as outfile:
    outfile.writelines(string)

min_size = np.min(list(size_at_neg10.values()))
max_size = np.max(list(size_at_neg10.values()))

rounded_min_size = round(min_size / 1000) * 1000
rounded_max_size = round(max_size / 1000) * 1000

with open("results/min_size_neg10.tex", "w") as outfile:
    outfile.writelines("{:,.0f}".format(rounded_min_size))

with open("results/max_size_neg10.tex", "w") as outfile:
    outfile.writelines("{:,.0f}".format(rounded_max_size))
