clear

* Afro 2012.

use $zambia_inputs/afrobarometer/afro_2012.dta, clear

*********
* Bin ethnic groups as per rest of analysis
*********
decode Q84, gen(eth_string)

gen eth_5group = ""
replace eth_5group = "Bemba" if eth_string == "Bemba" & Q84 == 820
replace eth_5group = "Bemba" if eth_string == "Bisa" & Q84 == 831
replace eth_5group = "Bemba" if eth_string == "Bwile" & Q84 == 848
replace eth_5group = "Nyanja" if eth_string == "Chewa" & Q84 == 824
replace eth_5group = "Tonga" if eth_string == "Goba" & Q84 == 852
replace eth_5group = "Tonga" if eth_string == "Ila" & Q84 == 837
replace eth_5group = "NW" if eth_string == "Kaonde" & Q84 == 827
replace eth_5group = "Nyanja" if eth_string == "Kunda" & Q84 == 841
replace eth_5group = "Bemba" if eth_string == "Lala" & Q84 == 842
replace eth_5group = "Tonga" if eth_string == "Lenje" & Q84 == 834
replace eth_5group = "Barotse" if eth_string == "Lozi" & Q84 == 823
replace eth_5group = "Bemba" if eth_string == "Lunda" & Q84 == 830
replace eth_5group = "Bemba" if eth_string == "Lungu" & Q84 == 844
replace eth_5group = "NW" if eth_string == "Luvale" & Q84 == 828
replace eth_5group = "Bemba" if eth_string == "Mambwe" & Q84 == 833
replace eth_5group = "NW" if eth_string == "Mbunda" & Q84 == 840
replace eth_5group = "Bemba" if eth_string == "Namwanga" & Q84 == 829
replace eth_5group = "Nyanja" if eth_string == "Ngoni" & Q84 == 835
replace eth_5group = "Bemba" if eth_string == "Ngumbo" & Q84 == 849
replace eth_5group = "Barotse" if eth_string == "Nkoya" & Q84 == 832
replace eth_5group = "Nyanja" if eth_string == "Nsenga" & Q84 == 825
replace eth_5group = "Nyanja" if eth_string == "Nyanja" & Q84 == 821
replace eth_5group = "Nyanja" if eth_string == "Senga" & Q84 == 846
replace eth_5group = "Tonga" if eth_string == "Soli" & Q84 == 836
replace eth_5group = "Bemba" if eth_string == "Tabwa" & Q84 == 851
replace eth_5group = "Tonga" if eth_string == "Tokaleya" & Q84 == 847
replace eth_5group = "Tonga" if eth_string == "Tonga" & Q84 == 822
replace eth_5group = "Nyanja" if eth_string == "Tumbuka" & Q84 == 826
replace eth_5group = "Bemba" if eth_string == "Ushi" & Q84 == 838
label var eth_5group "Ethnic Group"

*******
* Household ownership
*******

* Phones per adult
gen phones_per_adult = Q94 / ADULT_CT if ADULT_CT > 0 & ADULT_CT !=. & Q94 >=0 & Q94 < 99
sum phones_per_adult
local phones_per_adult: display %6.2f (r(mean))
display "`phones_per_adult'"
file open myfile using $zambia_results/afro_phones_per_adult.tex, write replace
file write myfile "`phones_per_adult'"
file close myfile
label var phones_per_adult "Avg Phones per Adult"

* Household owns phone.
count if Q94 >=1  & Q94 < 99
local hh_owns_phone = r(N)
count if Q94 !=. & Q94 > -1 & Q94 != 99
local hh_owns: display %6.1f (`hh_owns_phone' / r(N)) * 100
display "`hh_owns'"
file open myfile using $zambia_results/afro_hh_owns.tex, write replace
file write myfile "`hh_owns'"
file close myfile


* Rural Household owns home.
count if Q94 >=1  & Q94 < 99 & urbrur == 2
local hh_owns_phone_rural = r(N)
count if Q94 !=. & Q94 > -1 & Q94 != 99 & urbrur == 2

local hh_owns_rural: display %6.1f (`hh_owns_phone_rural' / r(N)) * 100
display "`hh_owns_rural'"
file open myfile using $zambia_results/afro_hh_owns_rural.tex, write replace
file write myfile "`hh_owns_rural'"
file close myfile


* By ethnic group
label var urbrur ""
set more off
*table eth_5group urbrur, cells(mean phones_per_adult )

#delimit ;
tabout eth_5group
	   using $zambia_results/afro_phones_per_adult_by_eth.tex,
	   cells(mean phones_per_adult )  sum replace format(2) style(tex)
	   h1(nil)
	   h2(nil)
	   h3(Ethnic Group & Avg Num Phones Per Adult\\);;

#delimit cr


********************
* Rates of Usage
********************

* Use one or more times a day if own or in home
count if Q93A > 1 & Q93A != 9 & inlist(Q92, 1,2)
local one_or_more = r(N)
count if Q93A > -1 & Q93A != 9  & inlist(Q92, 1,2)

local use_one_or_more: display %6.1f (`one_or_more' / r(N)) * 100

file open myfile using $zambia_results/afro_use_one_or_more_per_day.tex, write replace
file write myfile "`use_one_or_more'"
file close myfile
