# -*- coding: utf-8 -*-
from __future__ import division, print_function

import pandas as pd
import os
import sys
import time
# WD
wd = r'/Volumes/Zambia/'
os.chdir(wd)

#########################
# Body
#########################
import arcpy as ap

# Gather and regroup!
ap.env.overwriteOutput = True
ap.CreateFileGDB_management(wd +'/outputs/20_georeferencing_users','temp' , "CURRENT")
ap.env.overwriteOutput = False

# create set of features to ignore
ignore = set(['country','towers', 'thiessens_full']) 
outputsFolder = 'C:/Users/Nick/Documents/Eubank/outputs/20_georeferencing_users/'
for i in range(0,3):
    gdb  = 'temp{}.gdb/'.format(i)
    ap.env.workspace = outputsFolder + gdb
    features = ap.ListFeatureClasses()
    
    for z, f in enumerate(features):
        if f not in ignore:
            t0 = time.clock()
            ap.CopyFeatures_management(in_features = outputsFolder + gdb + f,
                                       out_feature_class = outputsFolder + 'temp.gdb/' + f)
            t1 = time.clock()                            
            print('db {}, feature {}, number {}, done in {:.2f} min'.format(i, f, z, (t1-t0)/60))
            sys.stdout.flush()
            
            
            