# -*- coding: utf-8 -*-
from __future__ import division, print_function
import pandas as pd
import os
import sys
import arcpy as ap

# WD
wd = r'/Volumes/Zambia/'
os.chdir(wd)

#########################
# Body
#########################
ap.env.overwriteOutput = True
gdb = 'C:/Users/Nick/Documents/Eubank/Outputs/20_georeferencing_users/georef.gdb/'
ap.env.workspace = gdb




mapping = """primarySiteID "primarySiteID" true true false 4 Float 0 0 ,First,#,secondOrderThiessens,primarySiteID,-1,-1;secondarySiteID "secondarySiteID" true true false 4 Float 0 0 ,First,#,secondOrderThiessens,secondarySiteID,-1,-1;SITEID "SITEID" true true false 4 Long 0 0 ,First,#,towers,SITEID,-1,-1"""
output = 'secondOrderThiessens_withTowers'
ap.SpatialJoin_analysis(target_features="secondOrderThiessens",
                        join_features="towers",
                        out_feature_class= output,
                        join_operation="JOIN_ONE_TO_ONE",
                        join_type="KEEP_ALL",
                        field_mapping=  mapping,
                        match_option="INTERSECT",
                        search_radius="#",
                        distance_field_name="#")



ap.ExportXYv_stats(Input_Feature_Class = gdb + output,
                           Value_Field = ['primarySiteID', 'secondarySiteID', 'SITEID'],
                           Delimiter = 'COMMA', 
                           Add_Field_Names_to_Output = True,
                           Output_ASCII_File = wd + '/outputs/20_georeferencing_users/second_order_thiessen_siteids_and_towers.csv')
        
        
# Get centroid formally and also get district info! 

polygons = 'secondOrderThiessens'
centroids = 'secondOrderThiessens_centroids'

ap.FeatureToPoint_management(in_features=polygons,
                             out_feature_class=centroids,
                             point_location="CENTROID")
                             
target = 'secondOrderThiessens_centroids'
out_name = 'secondOrderThiessens_centroids_wDistrict'
mapping = """primarySiteID "primarySiteID" true true false 4 Float 0 0 ,First,#,secondOrderThiessens_centroids,primarySiteID,-1,-1;secondarySiteID "secondarySiteID" true true false 4 Float 0 0 ,First,#,secondOrderThiessens_centroids,secondarySiteID,-1,-1;distName "distName" true true false 254 Text 0 0 ,First,#,wards,distName,-1,-1;constName "constName" true true false 254 Text 0 0 ,First,#,wards,constName,-1,-1;wardName "wardName" true true false 254 Text 0 0 ,First,#,wards,wardName,-1,-1;wardNum "wardNum" true true false 4 Long 0 0 ,First,#,wards,wardNum,-1,-1;wardCode "wardCode" true true false 4 Long 0 0 ,First,#,wards,wardCode,-1,-1;constCode "constCode" true true false 2 Short 0 0 ,First,#,wards,constCode,-1,-1;province "province" true true false 254 Text 0 0 ,First,#,wards,province,-1,-1"""
ap.SpatialJoin_analysis(target_features=target,
                        join_features="wards",
                        out_feature_class=out_name,
                        join_operation="JOIN_ONE_TO_ONE",
                        join_type="KEEP_ALL",
                        field_mapping=mapping,
                        match_option="INTERSECT",search_radius="#",distance_field_name="#")
                
ap.ExportXYv_stats(Input_Feature_Class = gdb + out_name,
                           Value_Field = ['primarySiteID', 'secondarySiteID', 'distName', 'province','wardCode', 'wardName', 'constName', 'constCode'],
                           Delimiter = 'COMMA', 
                           Add_Field_Names_to_Output = True,
                           Output_ASCII_File = wd + '/outputs/20_georeferencing_users/centroid_districts.csv')
        
