
clear
use  $zambia/intermediate_data/35_demographics/wards_2010.dta, clear

set more off
keep *_num_* wardCode
drop *majorRacialGroup *notStated *na

foreach dimension in eth lang  {

	drop `dimension'_num_total
	egen `dimension'_num_total = rowtotal(`dimension'_num_*)

	foreach x of varlist `dimension'_num_*{
		gen `x'_pct = `x' / `dimension'_num_total
	}
	renvars *_pct, subst("_num_" "_pct_")
	renvars *_pct, postdrop(4)

	foreach x of varlist `dimension'_pct_* {
		display "`x'"
		replace `x' =0 if `x' == .
		assert `x' < = 1 & `x' > = 0
		gen pctSq_`x' = `x'^2

	}
	drop `dimension'_pct_total pctSq_`dimension'_pct_total

	egen check = rowtotal(`dimension'_pct*)
	assert check > = 0.99 & check <= 1.01

	egen ELF_`dimension' = rowtotal(pctSq_*)
	replace ELF_`dimension' = 1 - ELF_`dimension'
	replace ELF_`dimension' = ELF_`dimension'
	drop pctSq* check
}
keep wardCode ELF_* pop_num_total
rename pop_num_total census_pop
order wardCode census_pop ELF*
sort wardCode
save "$zambia/intermediate_data/35_demographics/wardELF_2010", replace
