
clear
set more off
use $zambia_inputs/demographic/IPUMSCensus2010/IPUMS_Census_2010_hh.dta, clear
* Get rid of city of lusaka. 

decode const, gen(const_string)
*drop if const_string == "Lusaka Central"

* Create asset index -- all entries common to 2000
local assets "hh2a_radio hh2b_tv hh2c_refridge hh2d_telephone hh2e_bicycle hh2f_motor_vehicle  hh2i_motorcycle hh2j_plough hh2m_donkey   "

foreach asset in `assets' {
	recode `asset' (2=0)
	local upper = upper("`asset'")
	label drop `upper'_P
} 


pca `assets'
predict hh_pca_wealth


* Make constCodes
rename prov provCode
rename dist distCode
rename const constCode
order provCode distCode constCode const_string


compress
save "$zambia/intermediate_data/35_demographics/census2010_hh_clean.dta", replace
sample 10
save "$zambia/intermediate_data/35_demographics/census2010_hh_clean_sample.dta", replace



