
clear

use $zambia_inputs/demographic/IPUMSCensus2010/IPUMS_Census_2010_individ.dta, clear

* Get rid of city of lusaka. 

decode const, gen(const_string)
* drop if const_string == "Lusaka Central"






* Codes are same for 2010 p12_ethnicity as 1990 (check on IPUMS)
 
* From 1990 we have:
*	P12-ETHNIC-GROUP         N   50-51      2   ZAMBIAN          01:61
*	                                            ENGLISH          62
*	                                            OTTHER-LANGUAGES 63
*	                                            AFRICAN          64
*	                                            AMERICAN         65
*	                                            ASIAN            66
*	                                            EUROPEAN         67
*	                                            OTHER            68
*	                                            NA               88
*	                                            NR               99
*


capture drop p12_ethnicity_string
gen p12_ethnicity_string = ""

* p12_ethnicity
replace p12_ethnicity_string = "Bemba" if p12_ethnicity == 1
replace p12_ethnicity_string = "Lunda (luapula)" if p12_ethnicity == 2
replace p12_ethnicity_string = "Lala" if p12_ethnicity == 3
replace p12_ethnicity_string = "Bisa" if p12_ethnicity == 4
replace p12_ethnicity_string = "Ushi" if p12_ethnicity == 5
replace p12_ethnicity_string = "Chishinga" if p12_ethnicity == 6
replace p12_ethnicity_string = "Ngumbo" if p12_ethnicity == 7
replace p12_ethnicity_string = "Iamba" if p12_ethnicity == 8
replace p12_ethnicity_string = "Kabkndk" if p12_ethnicity == 9
replace p12_ethnicity_string = "Tabwa" if p12_ethnicity == 10
replace p12_ethnicity_string = "Swaka" if p12_ethnicity == 11
replace p12_ethnicity_string = "Mukuw" if p12_ethnicity == 12
replace p12_ethnicity_string = "Ambo" if p12_ethnicity == 13
replace p12_ethnicity_string = "Lima" if p12_ethnicity == 14
replace p12_ethnicity_string = "Shila" if p12_ethnicity == 15
replace p12_ethnicity_string = "Unga" if p12_ethnicity == 16
replace p12_ethnicity_string = "Bwile" if p12_ethnicity == 17
replace p12_ethnicity_string = "Luano" if p12_ethnicity == 18
replace p12_ethnicity_string = "Tonga" if p12_ethnicity == 19
replace p12_ethnicity_string = "Lenje" if p12_ethnicity == 20
replace p12_ethnicity_string = "Soli" if p12_ethnicity == 21
replace p12_ethnicity_string = "Ila" if p12_ethnicity == 22
replace p12_ethnicity_string = "Toka-leya" if p12_ethnicity == 23
replace p12_ethnicity_string = "Sala" if p12_ethnicity == 24
replace p12_ethnicity_string = "Gowa" if p12_ethnicity == 25
replace p12_ethnicity_string = "Luvale" if p12_ethnicity == 26
replace p12_ethnicity_string = "Lunda (north-western)" if p12_ethnicity == 27
replace p12_ethnicity_string = "Mbunda" if p12_ethnicity == 28
replace p12_ethnicity_string = "Luchazi" if p12_ethnicity == 29
replace p12_ethnicity_string = "Ndembu" if p12_ethnicity == 30
replace p12_ethnicity_string = "Mbowe" if p12_ethnicity == 31
replace p12_ethnicity_string = "Chokwe" if p12_ethnicity == 32
replace p12_ethnicity_string = "Kaonde sub-group" if p12_ethnicity == 33
replace p12_ethnicity_string = "Luana sub-group" if p12_ethnicity == 34
replace p12_ethnicity_string = "Kwangwa" if p12_ethnicity == 35
replace p12_ethnicity_string = "Kwandi" if p12_ethnicity == 36
replace p12_ethnicity_string = "Koma" if p12_ethnicity == 37
replace p12_ethnicity_string = "Nyengo" if p12_ethnicity == 38
replace p12_ethnicity_string = "Simaa" if p12_ethnicity == 39
replace p12_ethnicity_string = "Mwenyi" if p12_ethnicity == 40
replace p12_ethnicity_string = "Imilangu" if p12_ethnicity == 41
replace p12_ethnicity_string = "Mashi" if p12_ethnicity == 42
replace p12_ethnicity_string = "Lozi" if p12_ethnicity == 43
replace p12_ethnicity_string = "Totela" if p12_ethnicity == 44
replace p12_ethnicity_string = "Subiya" if p12_ethnicity == 45
replace p12_ethnicity_string = "Nkoya" if p12_ethnicity == 46
replace p12_ethnicity_string = "Mashasha" if p12_ethnicity == 47
replace p12_ethnicity_string = "Chewa" if p12_ethnicity == 48
replace p12_ethnicity_string = "Nsenga" if p12_ethnicity == 49
replace p12_ethnicity_string = "Ngoni" if p12_ethnicity == 50
replace p12_ethnicity_string = "Nyanja" if p12_ethnicity == 51
replace p12_ethnicity_string = "Kunda" if p12_ethnicity == 52
replace p12_ethnicity_string = "Chikunda" if p12_ethnicity == 53
replace p12_ethnicity_string = "Lungu" if p12_ethnicity == 54
replace p12_ethnicity_string = "Mambwe" if p12_ethnicity == 55
replace p12_ethnicity_string = "Namwanga" if p12_ethnicity == 56
replace p12_ethnicity_string = "Wina" if p12_ethnicity == 57
replace p12_ethnicity_string = "Tambo" if p12_ethnicity == 58
replace p12_ethnicity_string = "Tumbuka" if p12_ethnicity == 59
replace p12_ethnicity_string = "Senga" if p12_ethnicity == 60
replace p12_ethnicity_string = "Yombe" if p12_ethnicity == 61
replace p12_ethnicity_string = "English" if p12_ethnicity == 62
replace p12_ethnicity_string = "Other" if p12_ethnicity == 63
replace p12_ethnicity_string = "" if p12_ethnicity == 88
replace p12_ethnicity_string = "" if p12_ethnicity == 99
replace p12_ethnicity_string = "Other" if p12_ethnicity == 64
replace p12_ethnicity_string = "Other" if p12_ethnicity == 65
replace p12_ethnicity_string = "Other" if p12_ethnicity == 66
replace p12_ethnicity_string = "Other" if p12_ethnicity == 67

* Now language groups
capture drop p12_ethnicity_languageGroup
gen p12_ethnicity_languageGroup = ""
replace p12_ethnicity_languageGroup = "bemba group" if p12_ethnicity >=  1 & p12_ethnicity <=18
replace p12_ethnicity_languageGroup = "tonga group" if p12_ethnicity >= 19 & p12_ethnicity <=25
replace p12_ethnicity_languageGroup = "north-western group" if p12_ethnicity >= 26 & p12_ethnicity <=33
replace p12_ethnicity_languageGroup = "baroste group" if p12_ethnicity >= 34 & p12_ethnicity <=47
replace p12_ethnicity_languageGroup = "nyanja group" if p12_ethnicity >= 48 & p12_ethnicity <=53
replace p12_ethnicity_languageGroup = "mambwe group" if p12_ethnicity >= 54 & p12_ethnicity <=58
replace p12_ethnicity_languageGroup = "tumbuka group" if p12_ethnicity >= 59 & p12_ethnicity <=61
replace p12_ethnicity_languageGroup = "other" if p12_ethnicity >= 64 & p12_ethnicity <= 68
replace p12_ethnicity_languageGroup = "" if p12_ethnicity ==  99

* Now posner 5-fold taxonomy groups
capture drop p12_ethnicity_posnerFive
gen p12_ethnicity_posnerFive = ""
replace p12_ethnicity_posnerFive = "bemba group" if p12_ethnicity >=  1 & p12_ethnicity <=18
replace p12_ethnicity_posnerFive = "tonga group" if p12_ethnicity >= 19 & p12_ethnicity <=25
replace p12_ethnicity_posnerFive = "north-western group" if p12_ethnicity >= 26 & p12_ethnicity <=33
replace p12_ethnicity_posnerFive = "baroste group" if p12_ethnicity >= 34 & p12_ethnicity <=47
replace p12_ethnicity_posnerFive = "nyanja group" if p12_ethnicity >= 48 & p12_ethnicity <=53
replace p12_ethnicity_posnerFive = "bemba group" if p12_ethnicity >= 54 & p12_ethnicity <=58
replace p12_ethnicity_posnerFive = "nyanja group" if p12_ethnicity >= 59 & p12_ethnicity <=61
replace p12_ethnicity_posnerFive = "other" if p12_ethnicity >= 64 & p12_ethnicity <= 68
replace p12_ethnicity_posnerFive = "" if p12_ethnicity ==  99




* Now "speaks language group [blank] as main language"

capture drop language_string
gen language_string = ""
replace language_string = "bemba" if p13_language == 1
replace language_string = "lunda (luapula)" if p13_language == 2
replace language_string = "lala" if p13_language == 3
replace language_string = "bisa" if p13_language == 4
replace language_string = "ushi" if p13_language == 5
replace language_string = "chishinga" if p13_language == 6
replace language_string = "ngumbo" if p13_language == 7
replace language_string = "iamba" if p13_language == 8
replace language_string = "kabkndk" if p13_language == 9
replace language_string = "tabwa" if p13_language == 10
replace language_string = "swaka" if p13_language == 11
replace language_string = "mukuw" if p13_language == 12
replace language_string = "ambo" if p13_language == 13
replace language_string = "lima" if p13_language == 14
replace language_string = "shila" if p13_language == 15
replace language_string = "unga" if p13_language == 16
replace language_string = "bwile" if p13_language == 17
replace language_string = "luano" if p13_language == 18
replace language_string = "tonga" if p13_language == 19
replace language_string = "lenje" if p13_language == 20
replace language_string = "soli" if p13_language == 21
replace language_string = "ila" if p13_language == 22
replace language_string = "toka-leya" if p13_language == 23
replace language_string = "sala" if p13_language == 24
replace language_string = "gowa" if p13_language == 25
replace language_string = "luvale" if p13_language == 26
replace language_string = "lunda (north-western)" if p13_language == 27
replace language_string = "mbunda" if p13_language == 28
replace language_string = "luchazi" if p13_language == 29
replace language_string = "ndembu" if p13_language == 30
replace language_string = "mbowe" if p13_language == 31
replace language_string = "chokwe" if p13_language == 32
replace language_string = "kaonde sub-group" if p13_language == 33
replace language_string = "luana sub-group" if p13_language == 34
replace language_string = "kwangwa" if p13_language == 35
replace language_string = "kwandi" if p13_language == 36
replace language_string = "koma" if p13_language == 37
replace language_string = "nyengo" if p13_language == 38
replace language_string = "simaa" if p13_language == 39
replace language_string = "mwenyi" if p13_language == 40
replace language_string = "imilangu" if p13_language == 41
replace language_string = "mashi" if p13_language == 42
replace language_string = "lozi" if p13_language == 43
replace language_string = "totela" if p13_language == 44
replace language_string = "subiya" if p13_language == 45
replace language_string = "nkoya" if p13_language == 46
replace language_string = "mashasha" if p13_language == 47
replace language_string = "chewa" if p13_language == 48
replace language_string = "nsenga" if p13_language == 49
replace language_string = "ngoni" if p13_language == 50
replace language_string = "nyanja" if p13_language == 51
replace language_string = "kunda" if p13_language == 52
replace language_string = "chikunda" if p13_language == 53
replace language_string = "lungu" if p13_language == 54
replace language_string = "mambwe" if p13_language == 55
replace language_string = "namwanga" if p13_language == 56
replace language_string = "wina" if p13_language == 57
replace language_string = "tambo" if p13_language == 58
replace language_string = "tumbuka" if p13_language == 59
replace language_string = "senga" if p13_language == 60
replace language_string = "yombe" if p13_language == 61
replace language_string = "english" if p13_language == 62
replace language_string = "other languages" if p13_language >=63 & p13_language <=67
replace language_string = "" if p13_language == 88
replace language_string = "" if p13_language == 99



* Some other summary vars:
gen adult = (p5_age > 15) if p5_age~=.
label var adult "16 or older"
gen educ_canRead = (p25_read_write == 1) if p25_read_write!=. & adult == 1
gen educ_everAttendedSchool = (p26_ever_attend_school == 1) if p26_ever_attend_school !=. & adult == 1
gen educ_reachedLevel7 = (p28_highest_level >=7) if p28_highest_level!=. & adult == 1
gen educ_currentlyAttending = p27_attending_school == 1 if p27_attending_school!=. & adult == 0
	replace educ_currentlyAttending = 0 if p26_ever_attend_school == 2
	
	
* Make constCodes
rename prov provCode
rename dist distCode
rename const constCode
order provCode distCode constCode const_string


* Get urban rural
preserve
	use "$zambia/intermediate_data/35_demographics/census2010_hh_clean.dta", clear
	keep if h5_occupancy <4
	keep region constCode household_serial_number h5_occupancy
	sort constCode household_serial_number
	tempfile hh
	save `hh', replace
restore

sort constCode household_serial_number
merge m:1 constCode household_serial_number using `hh'
keep if _m==3

	
compress
save "$zambia/intermediate_data/35_demographics/census2010_individ_clean.dta", replace

sample 10
save "$zambia/intermediate_data/35_demographics/census2010_individ_clean_sample.dta", replace


