
clear



****************
* Census values
* 	Merge on their const variable. Here check to make sure names match up.
* 	All look good!
****************


use "$zambia/intermediate_data/35_demographics/census2010_hh_clean_sample.dta", clear
		keep provCode distCode constCode const_string
		duplicates drop provCode distCode constCode, force

		decode provCode, gen(provName)
		decode distCode, gen(distName)
		rename const_string constName

			* Few standard tweaks from name changes:
				replace provName = "Northwestern" if provName == "North Western"

		foreach x in prov dist const {
			replace `x'Name = subinstr(`x'Name, "'", "", .)
			replace `x'Name = proper(`x'Name)
			replace `x'Name = trim(`x'Name)
		}

		* Wards have sometimes been re-assigned across districts.
		* This is coded with post-2010 assignments. I want 2010 assignments (that's what's in wards)
		* TO REVERSE TO 2010:
			* Chipili -> Mwense
			* Mwansabombwe -> Kawambwa
			* Rufunsa -> Chongwe
			* Sibuyunji -> Mumwa
			* Mafinga -> Isoka
			* Ikelenge -> Mwinilunga

			replace distName = "Mwense" if distName == "Chipili"
			replace distName = "Kawambwa" if distName == "Mwansabombwe"
			replace distName = "Chongwe" if distName == "Rufunsa"
			replace distName = "Mumbwa" if distName == "Sinjembela"
			replace distName = "Isoka" if distName == "Mafinga"
			replace distName = "Mwinilunga" if distName == "Ikelenge"


	* const name harmozniation
	replace constName = "Bangeulu" if constName == "Bangweulu"
	replace constName = "Chiengi" if constName == "Chienge"
	replace constName = "Kabwe Central" if constName == "Kabwe"
	replace constName = "Kalomo Central" if constName == "Kalomo"
	replace constName = "Kaoma Central" if constName == "Kaoma"
	replace constName = "Lubasenshi" if constName == "Lubansenshi"
	replace constName = "Lukulu West" if constName == "Lukulu  West"
	replace constName = "Lusaka Central" if constName == "Lusaka"
	replace constName = "Mufulira" if constName == "Mufurila"
	replace constName = "Shiwangadu" if constName == "Shiwangandu"
	replace constName = "Solwezi Central" if constName == "Solwezi"
	replace constName = "Chipata" if constName == "Chipata Central"
	replace constName = "Kalabo" if constName == "Kalabo Central"
	replace constName = "Kalomo Central" if constName == "Kalomo"
	replace constName = "Kasama" if constName == "Kasama Central"
	replace constName = "Mazabuka" if constName == "Mazabuka Central"
	replace constName = "Mongu" if constName == "Mongu Central"
	replace constName = "Monze" if constName == "Monze Central"



	* Some region / province modifications -- Muchina was created from parts of northern and eastern.
		replace provName = "Northern" if provName =="Muchinga" & distName != "Chama"
		replace provName = "Eastern" if provName =="Muchinga" & distName == "Chama"

		renvars *, prefix(c_)
		rename c_constCode constCode

	duplicates drop constCode, force

	sort constCode
	tempfile census
	save `census'

*********
* Get GIS codes
***********

insheet using $zambia_inputs/GIS/Zambia_ConstituenciesAndWards_2006to2010_AttributeTable.csv, comma clear

rename constcode constCode
rename constname constName
rename distname distName

replace constName = "Malambo" if constCode ==51

duplicates drop distName constCode constName, force
keep distName constCode constName

merge 1:1 constCode using `census'
assert _m == 3
assert c_constName == constName
