
clear
use "$zambia/intermediate_data/35_demographics/census2010_individ_clean.dta", clear

set more off


gen eth = p12_ethnicity_string
gen lang = language_string
gen ethGroup = p12_ethnicity_languageGroup
gen big5 = p12_ethnicity_posnerFive

keep constCode eth lang ethGroup big5 pid
count if pid == .
assert `r(N)'==0

foreach i in eth lang ethGroup big5 {
	encode `i', gen(v_`i')
}

tab v_eth, gen(eth_)
tab v_lang, gen(lang_)
tab v_ethGroup, gen(ethGroup_)
tab v_big5, gen(big5_)

* Pull out constituency dataset
preserve
	egen tag=tag(constCode)
	keep if tag==1
	keep constCode
	sort constCode
	tempfile constFile
	save `constFile', replace
restore

foreach x in eth lang ethGroup big5{
	preserve

		drop if v_`x' == .

		bysort constCode: egen const_pop = count(pid)
		bysort constCode `x': egen group_pop = count(pid)

		gen groupShare = group_pop/const_pop
		assert groupShare >=0 & groupShare <=1

		gen groupShareSquared = groupShare * groupShare
		egen tag=tag(constCode `x')
		keep if tag==1

		bysort constCode: egen ELF_`x'= sum(groupShareSquared)
		replace ELF_`x' = 1-ELF_`x'

		egen tag2=tag(constCode)
		keep if tag2==1

		keep constCode ELF const_pop
		sort constCode
		tempfile file_`x'
		save `file_`x'', replace
	restore
}

use `constFile', clear

foreach x in eth lang ethGroup big5{
	sort constCode
	merge 1:1 constCode using `file_`x''
	assert _m==3
	drop _m
}
replace const_pop = const_pop * 10
rename const_pop census_pop
sort constCode
save "$zambia/intermediate_data/35_demographics/constELF_2010", replace
