# -*- coding: utf-8 -*-
import pandas as pd
import numpy as np
import igraph as ig
import os
import sys

#Pandas Settings
pd.options.display.notebook_repr_html = False
pd.options.display.max_rows = 40
pd.options.io.hdf.default_format = 'table'
pd.options.io.hdf.dropna_table = False
pd.set_option('mode.chained_assignment','raise')

# WD
wd = r'/Volumes/Zambia/'
os.chdir(wd)

#########################
# Body
#########################


pairs = pd.read_csv(r'intermediate_data/00_pre_edgelists/00_edgelist_lowWeightEdgesDropped_cut7.csv',
     sep = ',',
    dtype = {'userCodeB':'int32', 'count_voice':'int16', 'count_SMS':'int16'}
    )

# Don't need counts
pairs.drop(labels = ['count_voice', 'count_SMS'], inplace = True, axis =1)


    # Stupid first column name crazy
pairs.rename(columns = {pairs.columns[0]:'userCodeA'}, inplace = True)
pairs.userCodeA = pairs.userCodeA.astype('int32')
pairs.dtypes
dups = pairs.duplicated(['userCodeA', 'userCodeB'])
assert dups.any() == False

# Make edges 2 -- reverse of edges1
pairs2 = pairs.copy()
pairs2.rename(columns = {'userCodeA':'userCodeB', 'userCodeB':'userCodeA'}, inplace = True)

# Put together
pairs.set_index('userCodeA' , inplace = True)
pairs2.set_index('userCodeA' , inplace = True)


pairs = pd.concat([pairs, pairs2], axis = 0, copy = False)
assert 2*len(pairs2) == len(pairs)
del pairs2

pairs.to_hdf('intermediate_data/25_spatial_calling_patterns/pairFiles.h5', 'pairs')
