import pandas as pd
import os
import numpy as np
import sys
pd.options.display.notebook_repr_html = False
pd.options.display.max_rows = 200
pd.set_option('io.hdf.default_format','table')
wd = r'/Volumes/Zambia/'
os.chdir(wd)
pd.set_option('mode.chained_assignment','raise')


# Import the pars with "in same ward" vars from file 25.
pairs = pd.read_hdf('intermediate_data/25_spatial_calling_patterns/pairFiles.h5', 'pairs_with_gis')


pairs['xdist'] = pairs.x_a - pairs.x_b
pairs['ydist'] = pairs.y_a - pairs.y_b
pairs['km'] = (np.sqrt(pairs.xdist**2 + pairs.ydist**2) / 1000)
pairs = pairs.drop(labels = ['xdist', 'ydist'], axis = 1)
pairs.km.describe()

pairs['within_0km'] = (pairs.km < 0.01).astype('int8')
pairs['within_5km'] = (pairs.km < 5).astype('int8')
pairs['within_10km'] = (pairs.km < 10).astype('int8')
pairs['within_20km'] = (pairs.km < 20).astype('int8')


user_avg = pairs.groupby(level = 0)['within_0km', 'within_5km', 'within_10km', 'within_20km'].mean()
user_avg = user_avg.mean()

#For cut7:
#Out[5]:
#within_0km     0.171964060302
#within_5km     0.426945949319
#within_10km    0.531736697496
#within_20km    0.614905604773


paper_value = '{:.0f}'.format(user_avg.loc['within_20km']*100)

with open("results/share_within_20km.tex", "w") as text_file:
    text_file.write(paper_value)


within_20 = pairs


pairs.to_hdf('intermediate_data/25_spatial_calling_patterns/pairFiles.h5', 'pairs_w_dist')
