# -*- coding: utf-8 -*-
import pandas as pd
import numpy as np
import igraph as ig
import os
import sys
import louvain

pd.options.display.notebook_repr_html = False
pd.options.display.max_rows = 40
pd.options.io.hdf.default_format = 'table'
pd.options.io.hdf.dropna_table = False

wd = r'/Volumes/Zambia/'

os.chdir(wd)

# Clean start!
try:
    os.remove('intermediate_data/30_communities/cpm_communities.h5')
    print('removed old communities h5')
except: 
    print('old communities not deleted -- not present?')



for g in [('cut3','00_baseEdgeList_cut3'), 
         ('cut7','00_baseEdgeList_cut7'),
          ('wd3','10_edgeList_wd3'), 
           ('wd7','10_edgeList_wd7')]:


#for g in [ ('cut7','00_baseEdgeList_cut7')]:

    
    ###############
    # Get coes
    ###########
    

    userCodes = pd.read_hdf('intermediate_data/10_edgelists_and_graphobjects/vertex_labels.h5', 'vertex_labels_{}'.format(g[0]))
    
    ###########
    # Get Memberships
    ##############
    
    resolution_list = ['0.6', '0.303', '0.184', '0.112', '0.068', '0.041',
                       '0.025', '0.015', '0.009', '0.00555', '0.0034', 
                       '0.00204', '0.0012', '0.000752', '0.00046', '0.000277',
                       '0.00017', '0.0001017', '0.000062', '0.0000374', 
                       '0.000023', '0.0000138', '0.000008', '0.00000507',
                       '0.000003', '0.00000186', '0.000001', '0.00000069', 
                       '0.00000025']
    
        
    
    for parameter in resolution_list:
        users = pd.read_csv('intermediate_data/30_communities/CPM_{}_g'.format(g[1]) + parameter + '.csv')


        correct_parameter = '{:0.8f}'.format(float(parameter)*2)
        users.rename(columns = {'communityID':'comm_'+correct_parameter, users.columns[0]:'userCode'}, inplace = True)
        
        assert len(userCodes) == len(users)
        userCodes = pd.merge(left = userCodes, right = users, on = u'userCode', how = 'outer')
        assert len(userCodes) == len(users)
        print('done {} for {}'.format(parameter, g[0]))
        sys.stdout.flush()
    
    userCodes.to_hdf('intermediate_data/30_communities/cpm_communities.h5', g[0])
    
    
    
    
    
    
    
    
    