# -*- coding: utf-8 -*-
import igraph as ig
import os 
import pandas as pd
import time
import sys

pd.options.display.notebook_repr_html = False
pd.options.display.max_rows = 200
pd.set_option('io.hdf.default_format','table')

ig.__version__

wd = r'/Volumes/Zambia/'
os.chdir(wd)

##############
# Load Graph and save to pajek
###############
#
## Import Graph
zGraph = ig.Graph.Read('intermediate_data/graphs/zGraph.graphml', format = 'graphml')
#zGraphSmall = zGraph.subgraph(range(50000), implementation = 'create_from_scratch')
## delete attributes
#zGraphSmall.write_pajek('code/infomap_stable/zGraphSmallPajek.net')
#zGraph.write_pajek('code/infomap_stable/zGraphPajek.net')
#
#import subprocess
#
#commandStringA = r'cd c:\users\nick\documents\eubank\code\infomap_stable && '
#commandStringB = r'Infomap zGraphSmallPajek.net output/ -ipajek --clu --two-level --undirected -N1 --verbose --low-memory"
#command = commandStringA + commandStringB
#
#subprocess.call(command)

userCodeVertexKey = pd.read_hdf('intermediate_data/pd/masterUsers.h5', 'networkStats/Anatella_CPM_085')[['vertexID', 'userCode']]

comms = pd.read_csv('code\libraries\infomap_stable\output\zGraphPajek.clu', sep = ' ', skiprows = 2, names = ['mem'], usecols = [0,])
communityGroups = comms.mem.value_counts()
percentiles = [0.25, 0.5,0.75,0.9,0.95,0.99]
communityGroups.describe(percentiles)

cluster = ig.VertexClustering(zGraph, membership = comms['mem'].tolist())



# Add usercodes
zGraph = ig.Graph.Read('intermediate_data/graphs/zGraph.graphml', format = 'graphml')

vertexNames = pd.DataFrame(zGraph.vs['name'], columns = ['userCode'], dtype = 'int64')
vertexNames.index.name = 'vertexID'
vertexNames.reset_index(inplace = True)


# Format comms
comms.index.name = 'vertexID'
comms.reset_index(inplace = True)


t = len(comms)
comms2 = pd.merge(comms, vertexNames, on = 'vertexID', how = 'outer')
assert len(comms2) == t

comms2.to_hdf('intermediate_data/pd/masterUsers.h5', 'networkStats/infomap')


# Comunintyyy Sizes
import matplotlib.pyplot as plt

plt.figure()
vz.plot(kind='bar', alpha=0.5)
