
clear
global zambia "C:\Users\Nick\Documents\Eubank"

use $zambia/outputs/stata/wardsWithAllVars, replace

drop if wardTooSmall == 1


local avgVars popDensity communityherf_blondel  ELF_eth ELF_lang pop_num_total transitivity   urban lnNV nv 
forvalues x = 1/20 {
	local avgVars  `avgVars' normalSIRmean_`x' 
}

foreach x in `avgVars' {
	display "`x'"
	capture destring `x', replace
	bysort constCode: egen ward_`x' = mean(`x')
}



egen constTag = tag(constCode)
keep if constTag == 1
keep ward_* constCode

sort constCode 
tempfile wards
save `wards', replace

use $zambia/outputs/stata/afrobarometer2009_withConstVars, clear
sort constCode 
merge m:1 constCode  using `wards'
drop if _m==2
drop _m

save $zambia/outputs/stata/afrobarometer2009_withConstAndWardVars, replace


