clear

use $zambia/outputs/stata/afrobarometer2009_withConstAndWardVars, clear

order  CA* basic_* *communityherf_blondel*

***************
* First, constituency cross-sections
***************

local demographics  basic_age basic_age2 basic_female basic_primaryEduc basic_secondaryEduc basic_pcaWealthIndex basic_urban

gen difCA = CA_mp_likelyOrganToMakeListen - CA_lc_likelyOrganToMakeListen
gen difFrag = communityherf_blondel - ward_communityherf_blondel
label var difCA "Difference In Ability To Organize"
label var difFrag "Difference in Network Fragmentation"
label var basic_urban "Urban"
eststo clear



gen temp = communityherf_blondel
label var temp "Fragmentation Index"

eststo: areg CA_mp_likelyOrganToMakeListen  temp `demographics', a(region) cluster(constCode)
replace temp = ward_communityherf_blondel
eststo: areg CA_lc_likelyOrganToMakeListen temp  `demographics', a(region) cluster(constCode)
replace temp = difFrag
eststo: areg difCA temp , a(region) cluster(constCode)
replace temp = communityherf_blondel
eststo: areg CA_have_attendedDemon temp `demographics', a(region) cluster(constCode)
replace temp = ward_communityherf_blondel
eststo: areg CA_have_attendedDemon temp `demographics', a(region) cluster(constCode)

esttab using $zambia/dropbox/ens/results/fragmentation.tex, b(a2) replace label  ///
				title("Network Fragmentation And Ability To Organize\label{fragmentation}") ///		
				mtitles("Constituency" "Ward" "Differenced" "Protested, Const" "Protested, Ward") ///
								nogaps compress ///
				addnotes("Results clustered at constituency level"" Province Fixed Effects Included" )
				
				
				


