clear

use $zambia/outputs/stata/afrobarometer2009_withConstAndWardVars, clear

order *transitivity* CA* basic_*
capture destring transitivity, replace

label var transitivity "Constituency Transitivity"
label var ward_transitivity "Ward Transitivity"
***************
* First, constituency cross-sections
***************

local demographics  basic_age basic_age2 basic_female basic_primaryEduc basic_secondaryEduc basic_pcaWealthIndex basic_urban
label var basic_urban "Urban"

gen difCA = CA_mp_likelyOrganToMakeListen - CA_lc_likelyOrganToMakeListen
gen difTran = transitivity - ward_transitivity
label var difCA "Difference In Ability To Organize"
label var difTran "Difference in Network Transivity"
eststo clear



gen temp = transitivity
label var temp "Transitivity"

eststo: areg CA_mp_likelyOrganToMakeListen temp `demographics', a(region) cluster(constCode)
replace temp = ward_transitivity
eststo: areg CA_lc_likelyOrganToMakeListen temp `demographics', a(region) cluster(constCode)

replace temp = difTran

eststo: areg difCA temp, a(region) cluster(constCode)
esttab using $zambia/dropbox/ens/results/transitivity1.tex, b(a2) replace label  ///
				nogaps compress ///
				title("Transitivity And Ability To Organize\label{transitivity}") ///		
				mtitles("Constituency" "Ward" "Differenced") ///
				addnotes("Results clustered at constituency level"" Province Fixed Effects Included" )
				
				
				


