clear

clear
set more off
global zambia "C:\Users\Nick\Documents\Eubank"

***************
* First, constituency cross-sections
***************

use $zambia/outputs/stata/afrobarometer2009_withConstAndWardVars, clear



order *normal* DK* basic_*

local demographics  basic_age basic_age2 basic_female basic_primaryEduc basic_secondaryEduc basic_pcaWealthIndex basic_urban

gen difKnow_All = PolKnowIndex_mp_allQuestions - PolKnowIndex_lc_allQuestions
gen difKnow_Specific = PolKnowIndex_mp_indivSpecificQs - PolKnowIndex_lc_indivSpecificQs

gen difSIR = normalSIRmean_10 - ward_normalSIRmean_10
label var difKnow_All "Dif In Know (all Q)"
label var difKnow_Specific "Dif In Know (specific Q)"
label var difSIR "Dif in Diffusion"
label var basic_urban "Urban"

label var normalSIRmean_10 "Normalized Diffusion Rate"


eststo clear

gen temp = normalSIRmean_10
label var temp "Diffusion Rate"

eststo: areg PolKnowIndex_mp_allQuestions temp `demographics', a(region) cluster(constCode)
eststo: areg PolKnowIndex_mp_indivSpecificQs temp `demographics', a(region) cluster(constCode)


replace temp = ward_normalSIRmean_10
eststo: areg PolKnowIndex_lc_allQuestions  temp `demographics', a(region) cluster(constCode)
eststo: areg PolKnowIndex_lc_indivSpecificQs temp `demographics', a(region) cluster(constCode)

replace temp = difSIR

eststo: areg difKnow_All temp, a(region) cluster(constCode)
eststo: areg difKnow_Specific temp, a(region) cluster(constCode)

esttab using $zambia/dropbox/ens/results/SIR1.tex, b(a2) replace  label ///
				nogaps compress ///
				title("Information Diffusion Times And Political Knowledge\label{sirTable}") ///		
				mtitles("Const All" "Const Pol-Specific" "Ward All" "Ward Pol-Specific" "Dif All" "Dif Pol-Specific") ///
												substitute({table} {sidewaystable}) ///
				addnotes("Results clustered at constituency level"" Province Fixed Effects Included" )
				
				
				
				


