clear
set more off

insheet using "$zambia_inputs/electionreturns/raw/2006_parliament.csv", clear comma
drop province council

* check structure
gen nogap = name !="" & constituency[_n+2]!=""
assert nogap ==0
drop nogap rejectedpct turnout


gen gap=( name == "" & party == "" & constituency =="")

* Note: applied one row at a time, so self-propagates in one run! cool!
replace constituency = constituency[_n-1] if constituency =="" & constituency[_n-1]!="" & gap !=1 & gap[_n-1]!=1 & name !=""
assert constituency!="" if name!=""

foreach z in rejected totalvotescast totalregistered {
	forvalues x = 1/10{
		capture destring `z', replace
		replace `z' = `z'[_n+1] if `z' ==. & `z'[_n+1]!=. & name !=""
	}
	rename `z' const_`z'
}

drop if gap==1
drop gap

split constituency, p(" ") limit(2) destring
rename constituency1 constCode
rename constituency2 constName
drop constituency
order constName

* All check on may 9th


* Some elections were special -- one set delayed, one set by-elections. Drop by-elections, since had a real election. 
* Delays were still main election cycle. 
gen special=""
* Northern Lupososhi and Western Kabompo
replace special = "postponed to oct 26th" if (constCode == 94|constCode == 104) & _n > 696
* Western Liuwa
replace special = "by-elections dec 7th" if constCode==135 & _n > 706

drop if special == "by-elections dec 7th"

save $zambia_inputs/parliament_2006, replace

