clear

set more off


insheet using "$zambia_inputs/electionreturns/raw/2006_presidential.csv", clear comma
drop province council

* check structure
gen nogap = name !="" & constituency[_n+2]!=""
assert nogap ==0
drop nogap rejectedpct turnout


gen gap=( name == "" & party == "" & constituency =="")


* Note: applied one row at a time, so self-propagates in one run! cool!
replace constituency = constituency[_n-1] if constituency =="" & constituency[_n-1]!="" & gap !=1 & gap[_n-1]!=1 & name !=""
assert constituency!="" if name!=""

foreach z in rejected totalvotescast totalregistered {
	forvalues x = 1/10{
		capture destring `z', replace
		replace `z' = `z'[_n+1] if `z' ==. & `z'[_n+1]!=. & name !=""
	}
	rename `z' const_`z'
}
assert const_totalvotescast!=. if name~=""
assert const_totalregistered!=. if name~=""

drop if gap==1
drop gap

split constituency, p(" ") limit(2) destring
rename constituency1 constCode
rename constituency2 constName
drop constituency
order constName

* All checked on may 9th


save $zambia_inputs/electionreturns/president_2006, replace

