
* Get winning share and a herf


****
* Par 2006
****
use $zambia_inputs/electionreturns/parliament_2006, clear
bysort constCode: egen const_total_votes = sum(totalvotes)
gen vote_share = totalvotes/const_total_votes
gen vote_share_sq = vote_share * vote_share

	* Make vars
	keep constCode vote_share* party
	bysort constCode: egen vote_max_share = max(vote_share)
	bysort constCode: egen vote_frac = sum(vote_share_sq)
	replace vote_frac = 1-vote_frac

	* Winning party
	gen temp = party if vote_max_share == vote_share
	bysort constCode: egen winning_party = mode(temp)
	
	sort constCode
	drop vote_share* temp  party
	renvars *, postfix("_par_06")
	rename constCode constCode
	duplicates drop constCode, force
	sort constCode

	tempfile a
	save `a', replace
	
	

****
* Pres 2006
****
use $zambia_inputs/electionreturns/president_2006, clear

destring totalvotes, replace
destring constCode, replace ignore(�)

bysort constCode: egen const_total_votes = sum(totalvotes)
gen vote_share = totalvotes/const_total_votes
gen vote_share_sq = vote_share * vote_share

	* Make vars
	keep constCode vote_share* party
	bysort constCode: egen vote_max_share = max(vote_share)
	bysort constCode: egen vote_frac = sum(vote_share_sq)
	replace vote_frac = 1-vote_frac

	* Winning party
	gen temp = party if vote_max_share == vote_share
	bysort constCode: egen winning_party = mode(temp)
	
	sort constCode
	drop vote_share* temp  party
	renvars *, postfix("_pres_06")
	rename constCode constCode

	duplicates drop constCode, force
		sort constCode

	tempfile b
	save `b', replace
	
	
****
* Par 2011
****
use $zambia_inputs/electionreturns/parliament_2011, clear


bysort constCode: egen const_total_votes = sum(votesobtained)
gen vote_share = votesobtained/const_total_votes
gen vote_share_sq = vote_share * vote_share

	* Make vars
	keep constCode vote_share* party
	bysort constCode: egen vote_max_share = max(vote_share)
	bysort constCode: egen vote_frac = sum(vote_share_sq)
	replace vote_frac = 1-vote_frac
	
	* Winning party
	gen temp = party if vote_max_share == vote_share
	bysort constCode: egen winning_party = mode(temp)

	sort constCode
	drop vote_share* temp  party
	renvars *, postfix("_par_11")
	rename constCode constCode

	duplicates drop constCode, force
	sort constCode

	tempfile c
	save `c', replace
	
	
****
* Pres 2011
****
use $zambia_inputs/electionreturns/president_2011, clear
drop if party == "rejected"

bysort constCode: egen const_total_votes = sum(votes)
gen vote_share = votes/const_total_votes
gen vote_share_sq = vote_share * vote_share

	* Make vars
	keep constCode vote_share* party
	bysort constCode: egen vote_max_share = max(vote_share)
	bysort constCode: egen vote_frac = sum(vote_share_sq)
	replace vote_frac = 1-vote_frac

	* Winning party
	gen temp = party if vote_max_share == vote_share
	bysort constCode: egen winning_party = mode(temp)

	
	sort constCode
	drop vote_share* temp party
	renvars *, postfix("_pres_11")
	
	duplicates drop constCode, force
	
	rename constCode constCode
	sort constCode
	tempfile d
	save `d', replace
	
	
**********
* 2001 Parliment parties
**********

insheet using $zambia_inputs/electionreturns/raw/2001_parliament_partywinner.csv, clear
	rename constcode constCode
	drop if constCode==.
	drop constname
	sort constCode
	tempfile e
	save `e', replace

* Merge up
use `a', clear

foreach x in b c d e {
	merge 1:1 constCode using ``x''
	*assert _m ==3
	drop _m
}

* Add parliament 2001 by hand

foreach i in 01 06 11 {
	gen mmd_`i' = winning_party_par_`i'=="MMD"
	label var mmd_`i' "MMD parlimentary rep"
}


save $zambia/intermediate_data/50_elections/elections_consts.dta, replace
