# -*- coding: utf-8 -*-
"""
Created on Mon Sep  7 18:27:56 2015

@author: Nick
"""

##
import pandas as pd
import numpy as np
import os
import sys
from tabulate import tabulate
wd = r'/volumes/zambia'
os.chdir(wd)



pd.options.display.max_rows = 200
pd.options.display.max_columns = 90
pd.set_option('display.width', 150)
pd.set_option('io.hdf.default_format', 'table')
pd.set_option('mode.chained_assignment','raise')

assert 3/2 == 1.5

##
import igraph as ig


table_values = list()
graph_names = {'cut3':'All-Days, > 2 Calls',
               'cut7':'All-Days, > 6 Calls',
               'wd3':'Weekend-Only, > 2 Calls',
               'wd7':'Weekend-Only, > 6 Calls'}

for i in ['cut3', 'cut7', 'wd3','wd7']:
    graph = ig.Graph.Read_Pickle(fname = 'intermediate_data/10_edgelists_and_graphobjects/zGraph_{}.pkl'.format(i))
    table_values.append([graph_names[i], '{:,}'.format(graph.vcount()), '{:,}'.format(graph.ecount()), graph.ecount()/graph.vcount()])
#    table_values.append([graph_names[i], graph.vcount(),graph.ecount(), graph.ecount()/graph.vcount()])



headers = ['Network', 'Callers', 'Connections', 'Average Degree']
table = tabulate(table_values, headers, tablefmt="latex_booktabs", floatfmt=",.1f")


with open("results/graph_summary_stats.tex", "w") as outfile:
    outfile.writelines(table)
