clear
set more off

insheet using $zambia_inputs/gis/Zambia_ConstituenciesAndWards_2006to2010_AttributeTable.csv, comma clear
drop fid_ objectid notes mergedward wardnum

rename constcode constCode
rename wardcode wardCode
rename distname distName
rename wardname wardName
rename province provName
rename constname constName
rename area area_sqkm
label var area_sqkm "Area (Sq Km)"
* Check area in right units
assert area_sqkm > 400 & area_sqkm < 500 if wardCode == 101

preserve
	drop if wardCode == -99

	order constCode wardCode provName distName

	table wardCode, c(m area_sqkm)
	
	sort wardCode
	save $zambia/intermediate_data/35_demographics/gisCodes_wards.dta, replace
restore

bysort constCode: egen const_area = sum(area_sqkm)
drop area_sqkm
rename const_area area_sqkm 
label var area_sqkm "Area (Sq Km)"
duplicates drop constCode, force

* Check summed and in right units
assert area_sqkm > 1000 & area_sqkm < 2000 if constCode == 2

drop wardCode wardName
sort constCode
save $zambia/intermediate_data/35_demographics/gisCodes_consts.dta, replace
count
assert `r(N)' == 150

