clear

set more off
foreach a in ward const{


	insheet using $zambia/intermediate_data/20_georeferencing_users/thiessens_secondOrder_`a's.csv, comma clear
	drop if `a'code <0
	rename `a'code code
	drop xcoord ycoord

	gen empty = (primarysiteid == 0 & secondarysiteid == "0.000000")

	destring secondarysiteid, ignore("NULL") replace
	replace secondarysiteid = secondarysiteid + 1 if empty == 0
	replace secondarysiteid = 0 if secondarysiteid == . 



	set type  double
	gen tid = (primarysiteid * 100000) + secondarysiteid + 9000000000 if empty == 0
	format tid %10.0f
	codebook tid
	drop primary secondary

	bysort tid: egen t_area = sum(intersectarea)
	bysort code: egen a_area = sum(intersectarea) 


	* Degree of correspondence
	gen share_of_thiessen = intersectarea / t_area


	twoway(hist share_of_thiessen)
	* Ward level coverage:

	bysort code: egen temp = sum(intersectarea) if empty == 0
	bysort code: egen area_covered = max(temp) 
	drop temp
	gen share_covered = area_covered / a_area
	egen atag = tag(code)
	twoway(hist share_covered if atag == 1)

	keep if atag == 1
	keep code share_covered
	rename code `a'Code
	sort `a'Code 
	save $zambia/intermediate_data/35_demographics/area_coverage_`a's.dta, replace

}
