clear

set more off

**************
* Wards first
**************


use $zambia/intermediate_data/35_demographics/wardELF_2010, clear

sort wardCode
merge 1:1 wardCode using $zambia/intermediate_data/35_demographics/gisCodes_wards.dta
assert _m ~= 1
keep if _m == 3
drop _m


sort wardCode
merge 1:1 wardCode using $zambia/intermediate_data/35_demographics/urban_ward.dta
assert _m != 1
keep if _m == 3
drop _m



sort constCode
merge m:1 constCode using $zambia/intermediate_data/35_demographics/const_2010_demographics.dta
assert _m !=1
keep if _m ==3
drop _m

************
* Helpful vars
************

gen ln_census_pop = log(census_pop)
label var ln_census_pop "Log Population"

replace census_pop = census_pop / 1000
label var census_pop "Population ('000s)"


* ELF
label var ELF_eth "Language ELF"


* Areas 
sum area_sqkm, d
gen pop_density = census_pop / area_sqkm 
label var pop_density "Pop Density ('000s / SqKm)"
gen ln_pop_density = log(pop_density)
	

	* Flags
	
* Lusaka  = city plus 4 bordering constituencies (2, 70, 72, 73)
gen flag_lusaka = inlist(constCode, 2,70,72,73,75,76,77,78,79,80,81)
label var flag_lusaka "Lusaka Region"

* Chingola, Kitwe, and Ndola and bordering constituencies
gen flag_copperbelt = (constCode >= 15 & constCode <= 29) | inlist(constCode, 31, 33, 34,36)
label var flag_copperbelt "Copperbelt Region"


save $zambia/intermediate_data/35_demographics/wards_allbutnetwork.dta, replace





