*****
* Note: requires having run code in folder 60!
*****
set more off

*******
* Get sources
*****
use $zambia/intermediate_data/100_aggregated_network_and_demographics/analysis_ward.dta, clear

*************
* Properties of second order thiessens
**************

* Pop Correlation

corr network_pop_2 census_pop
local correlation : di %3.2f `r(rho)'
display "`correlation'"

set seed 1000
gen noise = rnormal(0, 30)
gen census_pop_noisy = census_pop + noise
twoway(scatter census_pop_noisy network_pop_2 )(lfit census_pop_noisy network_pop_2 ), ///
	legend(off) xtitle("Number of Subscribers ('000s)") ytitle("Census Pop ('000s) (with Noise)") ///
	 note("Correlation before addition of noise: `correlation'" ) ///
	title("Ward Population & Georeferenced Subscribers") ///
	graphregion(fcolor(white))

graph export $zambia_results/populationAndSubscribers_wards_second.pdf, replace
* Coverage
